package com.djhk.uav.airspace.mapper;



import com.djhk.uav.airspace.domain.AirspaceApply;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AirspaceMapper {

    /**
     * 查询空域申请
     *
     * @param id 空域申请主键
     * @return 空域申请
     */
    public AirspaceApply selectAirspaceApplyById(Long id);

    /**
     * 查询空域申请
     *
     * @return id 空域申请主键
     */
    public Long selectAirspaceApplyId();


    /**
     * 查询空域申请列表
     * @return 空域申请集合
     */
    public List<AirspaceApply> selectAirspaceApplyList(AirspaceApply airspaceApply);

    /**
     * 新增空域申请
     *
     * @param airspaceApply 空域申请
     * @return 结果
     */
    public int insertAirspaceApply(AirspaceApply airspaceApply);

    /**
     * 修改空域申请
     *
     * @param airspaceApply 空域申请
     * @return 结果
     */
    public int updateAirspaceApply(AirspaceApply airspaceApply);

    /**
     * 删除空域申请
     *
     * @param id 空域申请主键
     * @return 结果
     */
    public int deleteAirspaceApplyById(Long id);

    /**
     * 批量删除空域申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAirspaceApplyByIds(Long[] ids);
}
